<?php

///////////////////////////////////////////////////////////////////////////////////////////////////////
// DefaultMembership 1.0.00
// Randem Systems: https://randemsystems.com/support/
// DefaultMembership SMF Subs
// Date: 10/04/2020
//
// Function: DefaultMembership Subroutines for SMF
///////////////////////////////////////////////////////////////////////////////////////////////////////

function DefaultMembership_ModifySettings(&$configVars) {

	$membergroups = DefaultMembership_GetMemberGroups();
	$configVars[] = array('select', 'default_groupindex', $membergroups);
}

function DefaultMembership_SaveSettings() {

	global $sourcedir, $modSettings;

	$id_group = 0;
	$groupname = '';
	$groupindex = !empty($_POST['default_groupindex']) ? intval($_POST['default_groupindex']) : -1;

	if ($groupindex <> -1) {

		require_once($sourcedir . '/Subs.php');

		$membergroups = DefaultMembership_GetMemberGroups();
		$tmp = explode('-', $membergroups[$groupindex]);
		$id_group = intval(trim($tmp[1]));
		$groupname = trim($tmp[0]);

		updateSettings(array('default_group' => $id_group));
		updateSettings(array('default_groupname' => $groupname));

		$_POST['default_group'] = $id_group;
	}

	$modSettings['default_group'] = $id_group;
	$modSettings['default_groupname'] = $groupname;
}

function DefaultMembership_Set_ID() {

	global $modSettings;
	
	$id_group = !empty($modSettings['default_group']) ? $modSettings['default_group'] : 0;

	return $id_group;
}

function DefaultMembership_RegOptions(&$regOptions, &$theme_vars, &$knownInts, &$knownFloats) {

	$regOptions['register_vars']['id_group'] = DefaultMembership_Set_ID();
	$knownInts[] = 'id_group';
}

function DefaultMembership_GetMemberGroups() {

	global $smcFunc;

	$sql = 'SELECT group_name, id_group FROM {db_prefix}membergroups where min_posts = -1 order by id_group';
	$request = $smcFunc['db_query']('',
		$sql,
		array()
	);

	$membergroups = array();
	$membergroups[] = 'Regular - 0';

	while ($row = $smcFunc['db_fetch_row']($request)) {

		if ($row[1] == 0 || $row[1] > 3)
			$membergroups[] = $row[0] . ' - ' . $row[1];
	}

	$smcFunc['db_free_result']($request);

	return $membergroups;
}
?>